POST Application/PostCompanyRoleSemanticEntitySecurities
Request Information
URI Parameters
None.
Body Parameters
CompanyRoleSemanticEntitySecurity| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| CompanyRoleID | globally unique identifier |
Required |
|
| SemanticEntitySchemaName | string |
Required |
|
| SemanticEntityName | string |
Required |
|
| EntityID | string |
Required |
|
| HasAccess | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "54066adf-035f-4435-adfb-52538fa57f9f",
"companyRoleID": "8a337efd-8fbc-4bbe-972f-2731df579d8d",
"semanticEntitySchemaName": "sample string 3",
"semanticEntityName": "sample string 4",
"entityID": "sample string 5",
"hasAccess": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.